Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl Globals

_ | a | b | c | d | e | f | h | i | l | m | n | o | p | q | r | s | t | u | w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - _ -

- __int16__check__ : osclconfig_check.h
- __int32__check__ : osclconfig_check.h
- __int8__check__ : osclconfig_check.h
- __TFS__ : osclconfig.h
- __uint16__check__ : osclconfig_check.h
- __uint32__check__ : osclconfig_check.h
- __uint8__check__ : osclconfig_check.h
- __Validate__BasicTimeDateStruct__ : osclconfig_time_check.h
- __Validate__BasicTimeStruct__ : osclconfig_time_check.h
- __verify__TOsclConditionObject__defined__ : osclconfig_proc_check.h
- __verify__TOsclFileOffset__defined__ : osclconfig_io_check.h
- __verify__TOsclMutexObject__defined__ : osclconfig_proc_check.h
- __verify__TOsclSemaphoreObject__defined__ : osclconfig_proc_check.h
- __verify__TOsclThreadFuncArg__defined__ : osclconfig_proc_check.h
- __verify__TOsclThreadFuncRet__defined__ : osclconfig_proc_check.h
- __verify__TOsclThreadId__defined__ : osclconfig_proc_check.h
- __verify__TOsclThreadObject__defined__ : osclconfig_proc_check.h
- _FILE_OFFSET_BITS : osclconfig_io.h
- _OSCL_Abort() : oscl_assert.h
- _oscl_audit_calloc() : oscl_mem.h
- _oscl_audit_free() : oscl_mem.h
- _oscl_audit_malloc() : oscl_mem.h
- _oscl_audit_new() : oscl_mem.h
- _oscl_audit_realloc() : oscl_mem.h
- _oscl_calloc() : oscl_mem_basic_functions.h
- _OSCL_CLEANUP_BASE_CLASS : oscl_mem.h
- _oscl_default_audit_calloc() : oscl_mem.h
- _oscl_default_audit_malloc() : oscl_mem.h
- _oscl_default_audit_new() : oscl_mem.h
- _oscl_default_audit_realloc() : oscl_mem.h
- _oscl_free() : oscl_mem_basic_functions.h
- _oscl_malloc() : oscl_mem_basic_functions.h
- _oscl_realloc() : oscl_mem_basic_functions.h
- _OSCL_TRAP_NEW : oscl_mem.h
- _OsclInteger64Transport : oscl_int64_utils.h
- _PV_TRAP : oscl_error_imp_jumps.h, oscl_error_imp_fatalerror.h, oscl_error_imp_cppexceptions.h
- _PV_TRAP_NO_TLS : oscl_error_imp_jumps.h, oscl_error_imp_fatalerror.h, oscl_error_imp_cppexceptions.h
- _PVLOGGER_LOGBIN : pvlogger.h
- _PVLOGGER_LOGBIN_V : pvlogger.h
- _PVLOGGER_LOGMSG : pvlogger.h
- _PVLOGGER_LOGMSG_V : pvlogger.h
- _STRLIT : osclconfig_unix_android.h, osclconfig_unix_common.h
- _STRLIT_CHAR : osclconfig_unix_android.h, osclconfig_unix_common.h
- _STRLIT_WCHAR : osclconfig_unix_android.h, osclconfig_unix_common.h

### - a -

- ALLOC_AND_CONSTRUCT : oscl_defalloc.h
- ALLOCATE : oscl_defalloc.h
- APPEND_MEDIA_AT_END : oscl_media_status.h

### - b -

- big_endian_to_host() : oscl_byte_order.h
- BufferFreeFuncPtr : oscl_media_data.h
- BYTES_IN_UUID_ARRAY : oscl_uuid.h

### - c -

- c_bool : oscl_types.h
- COMPUTE_MEM_ALIGN_SIZE : oscl_mem_audit_internals.h
- CTIME_BUFFER_SIZE : oscl_time.h
- CtimeStrBuf : oscl_time.h

### - d -

- DEFAULT_MM_AUDIT_MODE : oscl_mem_audit.h
- DEFAULT_POSTFILL_PATTERN : oscl_mem_audit_internals.h
- DEFAULT_PREFILL_PATTERN : oscl_mem_audit_internals.h

### - e -

- EMPTY_UUID : oscl_uuid.h
- EOSCL_StringOp_CompressASCII : oscl_string.h
- EOSCL_StringOp_UTF16ToUTF8 : oscl_string.h
- EOSCL_wStringOp_ExpandASCII : oscl_string.h
- EOSCL_wStringOp_UTF8ToUTF16 : oscl_string.h
- EOsclFileOp_Close : oscl_file_stats.h
- EOsclFileOp_EndOfFile : oscl_file_stats.h
- EOsclFileOp_Flush : oscl_file_stats.h
- EOsclFileOp_Last : oscl_file_stats.h
- EOsclFileOp_NativeClose : oscl_file_stats.h
- EOsclFileOp_NativeEndOfFile : oscl_file_stats.h
- EOsclFileOp_NativeFlush : oscl_file_stats.h
- EOsclFileOp_NativeOpen : oscl_file_stats.h
- EOsclFileOp_NativeRead : oscl_file_stats.h
- EOsclFileOp_NativeSeek : oscl_file_stats.h
- EOsclFileOp_NativeSetSize : oscl_file_stats.h
- EOsclFileOp_NativeSize : oscl_file_stats.h
- EOsclFileOp_NativeTell : oscl_file_stats.h
- EOsclFileOp_NativeWrite : oscl_file_stats.h
- EOsclFileOp_Open : oscl_file_stats.h
- EOsclFileOp_Read : oscl_file_stats.h
- EOsclFileOp_Seek : oscl_file_stats.h
- EOsclFileOp_SetSize : oscl_file_stats.h
- EOsclFileOp_Size : oscl_file_stats.h
- EOsclFileOp_Tell : oscl_file_stats.h
- EOsclFileOp_Write : oscl_file_stats.h
- EOsclSocket_DataRecv : oscl_socket_stats.h
- EOsclSocket_DataSent : oscl_socket_stats.h
- EOsclSocket_Except : oscl_socket_stats.h
- EOsclSocket_OS : oscl_socket_stats.h
- EOsclSocket_Readable : oscl_socket_stats.h
- EOsclSocket_RequestAO_Canceled : oscl_socket_stats.h
- EOsclSocket_RequestAO_Error : oscl_socket_stats.h
- EOsclSocket_RequestAO_Success : oscl_socket_stats.h
- EOsclSocket_RequestAO_Timeout : oscl_socket_stats.h
- EOsclSocket_ServPoll : oscl_socket_stats.h
- EOsclSocket_ServRequestCancelIssued : oscl_socket_stats.h
- EOsclSocket_ServRequestComplete : oscl_socket_stats.h
- EOsclSocket_ServRequestIssued : oscl_socket_stats.h
- EOsclSocket_Writable : oscl_socket_stats.h
- EOsclSocketServ_LastEvent : oscl_socket_stats.h
- EOsclSocketServ_LoopsockError : oscl_socket_stats.h
- EOsclSocketServ_LoopsockOk : oscl_socket_stats.h
- EOsclSocketServ_SelectActivity : oscl_socket_stats.h
- EOsclSocketServ_SelectNoActivity : oscl_socket_stats.h
- EOsclSocketServ_SelectRescheduleAsap : oscl_socket_stats.h
- EOsclSocketServ_SelectReschedulePoll : oscl_socket_stats.h
- EPVDNSCancel : oscl_dns.h
- EPVDNSFailure : oscl_dns.h
- EPVDNSGetHostByName : oscl_dns.h
- EPVDNSPending : oscl_dns.h
- EPVDNSSuccess : oscl_dns.h
- EPVDNSTimeout : oscl_dns.h
- EPVIPAddMembership : oscl_socket_types.h
- EPVIPMulticastTTL : oscl_socket_types.h
- EPVIPProtoIP : oscl_socket_types.h
- EPVIPProtoTCP : oscl_socket_types.h
- EPVIPTOS : oscl_socket_types.h
- EPVSocket : oscl_socket_types.h
- EPVSocket_Last : oscl_socket_types.h
- EPVSocketAccept : oscl_socket_types.h
- EPVSocketBind : oscl_socket_types.h
- EPVSocketBothShutdown : oscl_socket_types.h
- EPVSocketCancel : oscl_socket_types.h
- EPVSocketConnect : oscl_socket_types.h
- EPVSocketFailure : oscl_socket_types.h
- EPVSocketListen : oscl_socket_types.h
- EPVSocketNotImplemented : oscl_socket_types.h
- EPVSocketPending : oscl_socket_types.h
- EPVSocketRecv : oscl_socket_types.h
- EPVSocketRecvFrom : oscl_socket_types.h
- EPVSocketRecvShutdown : oscl_socket_types.h
- EPVSocketSend : oscl_socket_types.h
- EPVSocketSendShutdown : oscl_socket_types.h
- EPVSocketSendTo : oscl_socket_types.h
- EPVSocketShutdown : oscl_socket_types.h
- EPVSocketSuccess : oscl_socket_types.h
- EPVSocketTimeout : oscl_socket_types.h
- EPVSockReuseAddr : oscl_socket_types.h
- EPVThreadContext_InThread : oscl_scheduler_threadcontext.h
- EPVThreadContext_NonOsclThread : oscl_scheduler_threadcontext.h
- EPVThreadContext_OsclThread : oscl_scheduler_threadcontext.h
- EPVThreadContext_Undetermined : oscl_scheduler_threadcontext.h
- extract_string() : oscl_string_utils.h

### - f -

- FENCE_PATTERN : oscl_mem_audit_internals.h

### - h -

- host_to_big_endian() : oscl_byte_order.h
- host_to_little_endian() : oscl_byte_order.h

### - i -

- INT64 : osclconfig_unix_android.h, osclconfig_unix_common.h
- int64 : oscl_types.h
- INT64_HILO : osclconfig_unix_android.h, osclconfig_unix_common.h
- internalLeave : oscl_error_imp_jumps.h
- ISO8601TIME_BUFFER_SIZE : oscl_time.h
- ISO8601timeStrBuf : oscl_time.h
- ISO8601ToRFC822() : oscl_time.h

### - l -

- little_endian_to_host() : oscl_byte_order.h

### - m -

- MAX_NUMBER_OF_BYTE_PER_UTF8 : oscl_utf8conv.h
- mbchar : oscl_types.h
- MediaTimestamp : oscl_media_data.h
- MEM_ALIGN_SIZE : oscl_mem_audit_internals.h
- MICROSECONDS : oscl_time.h
- MILLISECONDS : oscl_time.h
- MIN_FENCE_SIZE : oscl_mem_audit_internals.h
- MM_ALLOC_MAX_QUERY_FILENAME_LEN : oscl_mem_audit.h
- MM_ALLOC_MAX_QUERY_TAG_LEN : oscl_mem_audit.h
- MM_AllocNodeAutoPtr : oscl_mem_audit.h
- MM_AUDIT_ALLOC_NODE_ENABLE_FLAG : oscl_mem_audit.h
- MM_AUDIT_ALLOC_NODE_SUPPORT : oscl_mem_audit_internals.h
- MM_AUDIT_FAILURE_SIMULATION_SUPPORT : oscl_mem_audit_internals.h
- MM_AUDIT_FENCE_SUPPORT : oscl_mem_audit_internals.h
- MM_AUDIT_FILL_SUPPORT : oscl_mem_audit_internals.h
- MM_AUDIT_INCLUDE_ALL_HEAP_VALIDATION : oscl_mem_audit_internals.h
- MM_AUDIT_POSTFILL_FLAG : oscl_mem_audit.h
- MM_AUDIT_PREFILL_FLAG : oscl_mem_audit.h
- MM_AUDIT_SUPPRESS_FILENAME_FLAG : oscl_mem_audit.h
- MM_AUDIT_VALIDATE_ALL_HEAP_FLAG : oscl_mem_audit.h
- MM_AUDIT_VALIDATE_BLOCK : oscl_mem_audit.h
- MM_AUDIT_VALIDATE_ON_FREE_FLAG : oscl_mem_audit.h
- MM_StatsNodeTagTreeType : oscl_mem_audit.h
- MMAuditCharAutoPtr : oscl_mem_audit.h
- MMAuditUint8AutoPtr : oscl_mem_audit.h
- MSEC_PER_SEC : oscl_time.h
- MSEC_TO_MICROSEC : oscl_socket_method.h

### - n -

- NULL : oscl_base_macros.h
- NULL_TERM_CHAR : oscl_base_macros.h

### - o -

- octet : oscl_types.h
- operator delete() : oscl_mem.h, osclconfig_global_new_delete.h
- operator delete[]() : oscl_mem.h
- operator new() : oscl_mem.h, osclconfig_global_placement_new.h, osclconfig_global_new_delete.h
- operator new[]() : oscl_mem.h
- operator+() : oscl_time.h
- operator-() : oscl_time.h
- oscl_abs() : oscl_string_utils.h
- OSCL_ABS : oscl_base_macros.h
- OSCL_AF_INET : osclconfig_io.h
- OSCL_ALLOC_DELETE : oscl_mem.h
- OSCL_ALLOC_NEW : oscl_mem.h
- OSCL_ARRAY_DELETE : oscl_mem.h
- OSCL_ARRAY_NEW : oscl_mem.h
- OSCL_ASCII_CASE_MAGIC_BIT : oscl_str_ptr_len.h
- oscl_asin() : oscl_math.h
- OSCL_ASSERT : oscl_assert.h
- OSCL_Assert() : oscl_assert.h
- OSCL_ASSERT_ALWAYS : osclconfig.h
- oscl_atan() : oscl_math.h
- OSCL_AUDIT_ARRAY_NEW : oscl_mem.h
- OSCL_AUDIT_CALLOC : oscl_mem.h
- OSCL_AUDIT_MALLOC : oscl_mem.h
- OSCL_AUDIT_NEW : oscl_mem.h
- OSCL_AUDIT_REALLOC : oscl_mem.h
- OSCL_BAD_ALLOC_EXCEPTION_CODE : oscl_error_codes.h
- OSCL_BYPASS_MEMMGT : osclconfig_memory.h
- OSCL_BYTE_ORDER_BIG_ENDIAN : osclconfig_ix86.h
- OSCL_BYTE_ORDER_LITTLE_ENDIAN : osclconfig_ix86.h
- OSCL_CALLOC : oscl_mem.h
- oscl_calloc : oscl_mem.h
- OSCL_CATCH : oscl_exception.h
- OSCL_CATCH_ANY : oscl_exception.h
- OSCL_CHAR_IS_SIGNED : osclconfig_limits_typedefs.h
- OSCL_CHAR_IS_UNSIGNED : osclconfig_limits_typedefs.h
- oscl_chdir() : oscl_file_dir_utils.h
- oscl_CIstrcmp() : oscl_stdstring.h
- oscl_CIstrncmp() : oscl_stdstring.h
- OSCL_CLEANUP_BASE_CLASS : oscl_mem.h
- OSCL_CLOCK_HAS_DRIFT_CORRECTION : osclconfig_util.h
- OSCL_COND_EXPORT_REF : oscl_base_macros.h
- OSCL_COND_IMPORT_REF : oscl_base_macros.h
- OSCL_CONST_CAST : oscl_base_macros.h
- oscl_cos() : oscl_math.h
- OSCL_DEFAULT_FREE : oscl_mem.h
- OSCL_DEFAULT_MALLOC : oscl_mem.h
- OSCL_DELETE : oscl_mem.h
- OSCL_DISABLE_INLINES : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_DISABLE_WARNING_RETURN_TYPE_NOT_UDT : oscl_mem_auto_ptr.h, oscl_shared_ptr.h
- OSCL_DISABLE_WARNING_TRUNCATE_DEBUG_MESSAGE : oscl_mem_auto_ptr.h, oscl_mem_audit_internals.h, oscl_mem_audit.h, oscl_mem.h, oscl_tree.h, oscl_tagtree.h, oscl_map.h, oscl_defalloc.h
- OSCL_DLL_ENTRY_POINT : oscl_dll.h
- OSCL_DLL_ENTRY_POINT_DEFAULT : oscl_dll.h
- OSCL_DYNAMIC_CAST : oscl_base_macros.h
- OSCL_ERR_NONE : oscl_error_codes.h
- OSCL_EXCEPTSET_FLAG : oscl_socket_serv_imp_pv.h
- oscl_exp() : oscl_math.h
- OSCL_EXPORT_REF : osclconfig.h
- OSCL_FILE_BUFFER_MAX_SIZE : osclconfig_io.h
- OSCL_FILE_CHAR_PATH_DELIMITER : oscl_file_types.h
- OSCL_FILE_STATS_LOGGER_NODE : oscl_file_stats.h
- OSCL_FILE_WCHAR_PATH_DELIMITER : oscl_file_types.h
- OSCL_FILEMGMT_E_ALREADY_EXISTS : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_NO_MATCH : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_NOT_EMPTY : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_NOT_IMPLEMENTED : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_OK : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_PATH_NOT_FOUND : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_PATH_TOO_LONG : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_PERMISSION_DENIED : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_SYS_SPECIFIC : oscl_file_dir_utils.h
- OSCL_FILEMGMT_E_UNKNOWN : oscl_file_dir_utils.h
- OSCL_FILEMGMT_ERR_TYPE : oscl_file_dir_utils.h
- OSCL_FILEMGMT_MODE_DIR : oscl_file_dir_utils.h
- OSCL_FILEMGMT_MODES : oscl_file_dir_utils.h
- OSCL_FILEMGMT_PERMS : oscl_file_dir_utils.h
- OSCL_FILEMGMT_PERMS_EXECUTE : oscl_file_dir_utils.h
- OSCL_FILEMGMT_PERMS_READ : oscl_file_dir_utils.h
- OSCL_FILEMGMT_PERMS_WRITE : oscl_file_dir_utils.h
- OSCL_FIRST_CATCH : oscl_exception.h
- OSCL_FIRST_CATCH_ANY : oscl_exception.h
- oscl_floor() : oscl_math.h
- OSCL_FREE : oscl_mem.h
- oscl_free : oscl_mem.h
- OSCL_FSSTAT : oscl_file_dir_utils.h
- OSCL_FUNCTION_PTR : osclconfig_compiler_warnings.h
- oscl_getcwd() : oscl_file_dir_utils.h
- OSCL_GetLastError() : oscl_errno.h
- OSCL_HAS_ANDROID_FILE_IO_SUPPORT : osclconfig.h
- OSCL_HAS_ANDROID_SUPPORT : osclconfig.h
- OSCL_HAS_ANSI_64BIT_FILE_IO_SUPPORT : osclconfig_io.h
- OSCL_HAS_ANSI_FILE_IO_SUPPORT : osclconfig_io.h
- OSCL_HAS_ANSI_MATH_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_ANSI_MEMORY_FUNCS : osclconfig_ansi_memory.h
- OSCL_HAS_ANSI_STDIO_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_ANSI_STDLIB_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_ANSI_STRING_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_ANSI_WIDE_STRING_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_BASIC_LOCK : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_BERKELEY_SOCKETS : osclconfig_io.h, osclconfig_no_os.h
- OSCL_HAS_ERRNO_H : osclconfig_error.h
- OSCL_HAS_EXCEPTIONS : osclconfig_error.h
- OSCL_HAS_GLOB : osclconfig_io.h
- OSCL_HAS_GLOBAL_NEW_DELETE : oscl_mem.h, osclconfig_memory.h
- OSCL_HAS_GLOBAL_VARIABLE_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_HEAP_BASE_SUPPORT : osclconfig_memory.h
- OSCL_HAS_LARGE_FILE_SUPPORT : osclconfig_io.h
- OSCL_HAS_MSWIN_FILE_IO_SUPPORT : osclconfig_io.h
- OSCL_HAS_MSWIN_PARTIAL_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_MSWIN_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_MSWIN_TIME_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_NATIVE_FILE_CACHE_ENABLE : osclconfig_io.h
- OSCL_HAS_NATIVE_INT64_TYPE : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_NATIVE_UINT64_TYPE : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_NON_PREEMPTIVE_THREAD_SUPPORT : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- OSCL_HAS_PACKED_STRUCT : osclconfig.h
- OSCL_HAS_PRAGMA_PACK : osclconfig.h
- OSCL_HAS_PTHREAD_SUPPORT : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_PV_C_OS_API_MEMORY_FUNCS : osclconfig_no_os.h
- OSCL_HAS_PV_C_OS_SUPPORT : osclconfig_no_os.h
- OSCL_HAS_PV_C_OS_TIME_FUNCS : osclconfig_no_os.h
- OSCL_HAS_PV_FILE_CACHE : osclconfig_io.h
- OSCL_HAS_RUNTIME_LIB_LOADING_SUPPORT : osclconfig_lib.h
- OSCL_HAS_SAVAJE_IO_SUPPORT : osclconfig_no_os.h
- OSCL_HAS_SAVAJE_SUPPORT : osclconfig_no_os.h
- OSCL_HAS_SEM_TIMEDWAIT_SUPPORT : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_SETJMP_H : osclconfig_error.h
- OSCL_HAS_SINGLETON_SUPPORT : oscl_base.h
- OSCL_HAS_SOCKET_SUPPORT : osclconfig_io.h
- OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION : osclconfig_io.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_DNS_SERVER : osclconfig_io.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_ERRORTRAP : osclconfig_error.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_MATH : osclconfig_util.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_MEMORY_FUNCS : osclconfig_memory.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_SCHEDULER : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_SOCKET_SERVER : osclconfig_io.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_SYMBIAN_TIMERS : osclconfig_util.h, osclconfig_no_os.h
- OSCL_HAS_THREAD_SUPPORT : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- OSCL_HAS_TLS_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_UNICODE_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_HAS_UNIX_SUPPORT : osclconfig_unix_android.h, osclconfig_unix_common.h, osclconfig_no_os.h
- OSCL_HAS_UNIX_TIME_FUNCS : osclconfig_time.h, osclconfig_no_os.h
- OSCL_IMPORT_REF : osclconfig.h
- OSCL_INLINE : oscl_base_macros.h
- OSCL_INTEGERS_WORD_ALIGNED : osclconfig_ix86.h
- OSCL_IO_EXTENSION_MAXLEN : oscl_file_types.h
- OSCL_IO_FILENAME_MAXLEN : oscl_file_types.h
- OSCL_IPPROTO_IP : osclconfig_io.h
- OSCL_IPPROTO_TCP : osclconfig_io.h
- OSCL_IPPROTO_UDP : osclconfig_io.h
- oscl_isdigit : oscl_string_utils.h
- OSCL_IsErrnoSupported() : oscl_errno.h
- oscl_isLetter() : oscl_stdstring.h
- OSCL_JUMP_MAX_JUMP_MARKS : oscl_error_imp_jumps.h
- OSCL_LAST_CATCH : oscl_exception.h
- OSCL_LEAVE : oscl_exception.h
- OSCL_LIB_READ_DEBUG_LIBS : osclconfig_lib.h
- oscl_log() : oscl_math.h
- oscl_log10() : oscl_math.h
- OSCL_MALLOC : oscl_mem.h
- oscl_malloc : oscl_mem.h
- OSCL_MAX : oscl_base_macros.h
- OSCL_MAX_TRAP_LEVELS : oscl_error_trapcleanup.h
- oscl_mem_aligned_size() : oscl_mem.h
- oscl_memcmp() : oscl_mem_basic_functions.h
- oscl_memcpy() : oscl_mem_basic_functions.h
- OSCL_MEMFRAG_PTR_BEFORE_LEN : osclconfig_unix_android.h, osclconfig_unix_common.h
- oscl_memmove() : oscl_mem_basic_functions.h
- oscl_memmove32() : oscl_mem_basic_functions.h
- oscl_memset() : oscl_mem_basic_functions.h
- oscl_memsize_t : osclconfig_ansi_memory.h
- OSCL_MIN : oscl_base_macros.h
- oscl_mkdir() : oscl_file_dir_utils.h
- OSCL_NATIVE_INT64_TYPE : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_NATIVE_UINT64_TYPE : osclconfig_unix_android.h, osclconfig.h, osclconfig_unix_common.h
- OSCL_NATIVE_WCHAR_TYPE : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_NEW : oscl_mem.h
- OSCL_PACKED_STRUCT_BEGIN : osclconfig.h
- OSCL_PACKED_STRUCT_END : osclconfig.h
- OSCL_PACKED_VAR : oscl_base_macros.h, osclconfig.h
- OSCL_PERF_SUMMARY_LOGGING : oscl_scheduler_tuneables.h
- OSCL_PLACEMENT_NEW : oscl_mem.h
- oscl_pow() : oscl_math.h
- OSCL_RAND_MAX : osclconfig_util.h
- OSCL_READSET_FLAG : oscl_socket_serv_imp_pv.h
- OSCL_REALLOC : oscl_mem.h
- oscl_realloc : oscl_mem.h
- OSCL_REINTERPRET_CAST : oscl_base_macros.h
- OSCL_RELEASE_BUILD : osclconfig.h
- oscl_rename() : oscl_file_dir_utils.h
- OSCL_REQUEST_ERR_CANCEL : oscl_aostatus.h
- OSCL_REQUEST_ERR_GENERAL : oscl_aostatus.h
- OSCL_REQUEST_ERR_NONE : oscl_aostatus.h
- OSCL_REQUEST_PENDING : oscl_aostatus.h
- oscl_rmdir() : oscl_file_dir_utils.h
- OSCL_SD_BOTH : osclconfig_io.h
- OSCL_SD_RECEIVE : osclconfig_io.h
- OSCL_SD_SEND : osclconfig_io.h
- OSCL_SetLastError() : oscl_errno.h
- oscl_sin() : oscl_math.h
- OSCL_SINGLETON_ID_CPM_PLUGIN : oscl_singleton.h
- OSCL_SINGLETON_ID_LAST : oscl_singleton.h
- OSCL_SINGLETON_ID_OMX : oscl_singleton.h
- OSCL_SINGLETON_ID_OMXMASTERCORE : oscl_singleton.h
- OSCL_SINGLETON_ID_OSCLMEM : oscl_singleton.h
- OSCL_SINGLETON_ID_OSCLREGISTRY : oscl_singleton.h
- OSCL_SINGLETON_ID_PAYLOADPARSER : oscl_singleton.h
- OSCL_SINGLETON_ID_PVERRORTRAP : oscl_singleton.h
- OSCL_SINGLETON_ID_PVLOGGER : oscl_singleton.h
- OSCL_SINGLETON_ID_PVMFRECOGNIZER : oscl_singleton.h
- OSCL_SINGLETON_ID_PVSCHEDULER : oscl_singleton.h
- OSCL_SINGLETON_ID_SDPMEDIAPARSER : oscl_singleton.h
- OSCL_SINGLETON_ID_TEST : oscl_singleton.h
- OSCL_SINGLETON_ID_TICKCOUNT : oscl_singleton.h
- OSCL_SINGLETON_ID_WMDRMLOCK : oscl_singleton.h
- oscl_snprintf() : oscl_snprintf.h
- OSCL_SOCK_DATAGRAM : osclconfig_io.h
- OSCL_SOCK_STREAM : osclconfig_io.h
- OSCL_SOCKET_LISTEN_H_INCLUDEDd : oscl_socket_listen.h
- OSCL_SOCKOPT_IP_ADDMEMBERSHIP : osclconfig_io.h
- OSCL_SOCKOPT_IP_MULTICAST_TTL : osclconfig_io.h
- OSCL_SOCKOPT_IP_TOS : osclconfig_io.h
- OSCL_SOCKOPT_SOL_REUSEADDR : osclconfig_io.h
- OSCL_SOL_IP : osclconfig_io.h
- OSCL_SOL_SOCKET : osclconfig_io.h
- OSCL_SOL_TCP : osclconfig_io.h
- OSCL_SOL_UDP : osclconfig_io.h
- oscl_sqrt() : oscl_math.h
- oscl_stat() : oscl_file_dir_utils.h
- OSCL_STAT_BUF : oscl_file_dir_utils.h
- oscl_statfs() : oscl_file_dir_utils.h
- OSCL_STATIC_CAST : oscl_base_macros.h
- oscl_str_escape_xml() : oscl_string_xml.h
- oscl_str_is_valid_utf8() : oscl_string_utf8.h
- oscl_str_need_escape_xml() : oscl_string_xml.h
- oscl_str_truncate_utf8() : oscl_string_utf8.h
- oscl_str_unescape_uri() : oscl_string_uri.h
- oscl_strcat() : oscl_stdstring.h
- oscl_strchr() : oscl_stdstring.h
- oscl_strcmp() : oscl_stdstring.h
- OSCL_StrError() : oscl_errno.h
- oscl_strlen() : oscl_stdstring.h
- oscl_strncat() : oscl_stdstring.h
- oscl_strncmp() : oscl_stdstring.h
- oscl_strncpy() : oscl_stdstring.h
- oscl_strrchr() : oscl_stdstring.h
- oscl_strset() : oscl_stdstring.h
- oscl_strstr() : oscl_stdstring.h
- oscl_tan() : oscl_math.h
- OSCL_TCHAR : oscl_types.h
- OSCL_TEMPLATED_DESTRUCTOR_CALL : oscl_base_macros.h, osclconfig.h
- OSCL_THREAD_DECL : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- OSCL_TLS_BASE_SLOTS : oscl_tls.h
- OSCL_TLS_EXTERNAL_SLOTS : oscl_tls.h
- OSCL_TLS_GET_FUNC : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_TLS_ID_BASE_LAST : oscl_tls.h
- OSCL_TLS_ID_ERRORHOOK : oscl_tls.h
- OSCL_TLS_ID_MAGICNUM : oscl_tls.h
- OSCL_TLS_ID_OSCLREGISTRY : oscl_tls.h
- OSCL_TLS_ID_PAYLOADPARSER : oscl_tls.h
- OSCL_TLS_ID_PVERRORTRAP : oscl_tls.h
- OSCL_TLS_ID_PVLOGGER : oscl_tls.h
- OSCL_TLS_ID_PVMFRECOGNIZER : oscl_tls.h
- OSCL_TLS_ID_PVSCHEDULER : oscl_tls.h
- OSCL_TLS_ID_SDPMEDIAPARSER : oscl_tls.h
- OSCL_TLS_ID_SQLITE3 : oscl_tls.h
- OSCL_TLS_ID_TEST : oscl_tls.h
- OSCL_TLS_ID_WMDRM : oscl_tls.h
- OSCL_TLS_IS_KEYED : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_TLS_KEY_CREATE_FUNC : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_TLS_KEY_DELETE_FUNC : osclconfig_unix_android.h, osclconfig_unix_common.h
- OSCL_TLS_MAX_SLOTS : oscl_tls.h
- OSCL_TLS_STORE_FUNC : osclconfig_unix_android.h, osclconfig_unix_common.h
- oscl_tolower() : oscl_stdstring.h
- OSCL_TRAP_ALLOC_NEW : oscl_mem.h
- OSCL_TRAP_AUDIT_NEW : oscl_mem.h
- OSCL_TRAP_NEW : oscl_mem.h
- OSCL_TRAPSTACK_POP : oscl_error.h
- OSCL_TRAPSTACK_POPDEALLOC : oscl_error.h
- OSCL_TRAPSTACK_PUSH : oscl_error.h
- OSCL_TRY : oscl_exception.h
- OSCL_TRY_NO_TLS : oscl_exception.h
- OSCL_TStrPtrLen : oscl_str_ptr_len.h
- oscl_UnicodeToUTF8() : oscl_utf8conv.h
- OSCL_UNSIGNED_CONST : oscl_base_macros.h, osclconfig.h
- OSCL_UNUSED_ARG : oscl_base_macros.h
- OSCL_UNUSED_RETURN : oscl_base_macros.h
- oscl_UTF8ToUnicode() : oscl_utf8conv.h
- OSCL_VIRTUAL_BASE : oscl_base_macros.h
- oscl_vsnprintf() : oscl_snprintf.h
- oscl_wchar : oscl_types.h
- OSCL_WRITESET_FLAG : oscl_socket_serv_imp_pv.h
- OSCL_ZEROIZE : oscl_scheduler_aobase.h
- OsclAccept : osclconfig_io.h
- OsclAny : oscl_types.h
- OsclBasicDateTimeStruct : osclconfig_time.h
- OsclBasicTimeStruct : osclconfig_time.h
- OsclBind : osclconfig_io.h
- OsclCloseSocket : osclconfig_io.h
- OsclComponentFactory : oscl_registry_types.h
- OsclConnect : osclconfig_io.h
- OsclConnectComplete : osclconfig_io.h
- OsclErrAlreadyExists : oscl_error_codes.h
- OsclErrAlreadyInstalled : oscl_error_codes.h
- OsclErrArgument : oscl_error_codes.h
- OsclErrBadHandle : oscl_error_codes.h
- OsclErrBusy : oscl_error_codes.h
- OsclErrCancelled : oscl_error_codes.h
- OsclErrCorrupt : oscl_error_codes.h
- OsclErrGeneral : oscl_error_codes.h
- OsclErrInvalidState : oscl_error_codes.h
- OsclErrNoHandler : oscl_error_codes.h
- OsclErrNoMemory : oscl_error_codes.h
- OsclErrNone : oscl_error_codes.h
- OsclErrNoResources : oscl_error_codes.h
- OsclErrNotInstalled : oscl_error_codes.h
- OsclErrNotReady : oscl_error_codes.h
- OsclErrNotSupported : oscl_error_codes.h
- OsclErrOverflow : oscl_error_codes.h
- OsclErrSystemCallFailed : oscl_error_codes.h
- OsclErrThreadContextIncorrect : oscl_error_codes.h
- OsclErrTimeout : oscl_error_codes.h
- OsclErrUnderflow : oscl_error_codes.h
- OsclFailure : oscl_error_codes.h
- OsclFloat : oscl_types.h
- OsclGetAsyncSockErr : osclconfig_io.h
- OsclGetDottedAddr : osclconfig_io.h
- OsclGetDottedAddrVector : osclconfig_io.h
- OsclGethostbyname : osclconfig_io.h
- OsclGetPeerName : osclconfig_io.h
- OsclJoin : osclconfig_io.h
- OsclLeaveCode : oscl_error_codes.h
- OsclListen : osclconfig_io.h
- OsclMakeInAddr : osclconfig_io.h
- OsclMakeSockAddr : osclconfig_io.h
- OsclMemInit() : oscl_mem.h
- OsclMemStatsNodeAutoPtr : oscl_mem_audit.h
- OsclNoYieldMutex : oscl_mutex.h
- OsclPending : oscl_error_codes.h
- OsclPipe : osclconfig_io.h
- OsclPtrAdd() : oscl_double_list.h
- OsclPtrSub() : oscl_double_list.h
- OsclReadFD : osclconfig_io.h
- OsclRecv : osclconfig_io.h
- OsclRecvFrom : osclconfig_io.h
- OsclReturnCode : oscl_error_codes.h
- OsclSend : osclconfig_io.h
- OsclSendTo : osclconfig_io.h
- OsclSetNonBlocking : osclconfig_io.h
- OsclSetRecvBufferSize : osclconfig_io.h
- OsclSetSockOpt : osclconfig_io.h
- OsclShutdown : osclconfig_io.h
- OsclSocket : osclconfig_io.h
- OsclSocketCleanup : osclconfig_io.h
- OsclSocketSelect : osclconfig_io.h
- OsclSocketStartup : osclconfig_io.h
- OsclSuccess : oscl_error_codes.h
- OsclTagTreeType : oscl_mem_audit.h
- OsclThread_State : oscl_thread.h
- OsclThreadPriority : oscl_thread.h
- OSCLTICKCOUNT_MAX_TICKS : oscl_tickcount.h
- OsclTrapOperation : oscl_heapbase.h
- OsclUid32 : oscl_uuid.h
- OsclUnMakeInAddr : osclconfig_io.h
- OsclUnMakeSockAddr : osclconfig_io.h
- OsclValidInetAddr : osclconfig_io.h
- OsclWriteFD : osclconfig_io.h

### - p -

- PV8601TIME_BUFFER_SIZE : oscl_time.h
- PV8601timeStrBuf : oscl_time.h
- PV8601ToRFC822() : oscl_time.h
- PV_atof() : oscl_string_utils.h
- PV_atoi() : oscl_string_utils.h
- PV_CHAR_CLOSE_BRACKET : oscl_uuid.h
- PV_CHAR_COMMA : oscl_uuid.h
- PV_DNS_IS_THREAD : oscl_dns_tuneables.h
- PV_DNS_SERVER : oscl_dns_tuneables.h
- PV_DYNAMIC_LOADING_CONFIG_FILE_PATH : osclconfig_lib.h
- PV_OSCL_SOCKET_1MB_RECV_BUF : oscl_socket_tuneables.h
- PV_OSCL_SOCKET_SERVER_LOGGER_OUTPUT : oscl_socket_tuneables.h
- PV_OSCL_SOCKET_STATS_LOGGING : oscl_socket_tuneables.h
- PV_RUNTIME_LIB_FILENAME_EXTENSION : osclconfig_lib.h
- PV_SCHED_CHECK_Q : oscl_scheduler_tuneables.h
- PV_SCHED_ENABLE_AO_STATS : oscl_scheduler_tuneables.h
- PV_SCHED_ENABLE_LOOP_STATS : oscl_scheduler_tuneables.h
- PV_SCHED_ENABLE_PERF_LOGGING : oscl_scheduler_tuneables.h
- PV_SCHED_ENABLE_THREAD_CONTEXT_CHECKS : oscl_scheduler_tuneables.h
- PV_SCHED_FAIR_SCHEDULING : oscl_scheduler_tuneables.h
- PV_SCHED_LOG_Q : oscl_scheduler_tuneables.h
- PV_SOCKET_REQUEST_AO_PRIORITY : oscl_socket_tuneables.h
- PV_SOCKET_SERVER : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_AO_INTERVAL_MSEC : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_AO_PRIORITY : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_IS_THREAD : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_SELECT : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_SELECT_LOOPBACK_SOCKET : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_SELECT_TIMEOUT_MSEC : oscl_socket_tuneables.h
- PV_SOCKET_SERVER_THREAD_PRIORITY : oscl_socket_tuneables.h
- PV_SOCKET_SERVI_STATS : oscl_socket_tuneables.h
- PVError_DoLeave : oscl_error_imp_jumps.h, oscl_error_imp_fatalerror.h, oscl_error_imp_cppexceptions.h
- PVERROR_IMP_JUMPS : oscl_error_imp.h
- PVERRORTRAP_REGISTRY : oscl_error_trapcleanup.h
- PVERRORTRAP_REGISTRY_ID : oscl_error_trapcleanup.h
- PVEXECNAMELEN : oscl_scheduler_aobase.h
- PVLOGGER_C_INST_LEVEL : pvlogger_c.h
- PVLOGGER_ENABLE : pvlogger.h
- PVLOGGER_FILTER_ACCEPT : pvlogger_accessories.h
- PVLOGGER_FILTER_NEUTRAL : pvlogger_accessories.h
- PVLOGGER_FILTER_REJECT : pvlogger_accessories.h
- pvLogger_GetLoggerObject() : pvlogger_c.h
- PVLOGGER_INST_LEVEL : pvlogger.h, osclconfig.h
- PVLOGGER_INST_LEVEL_SUPPORT : pvlogger.h
- pvLogger_IsActive() : pvlogger_c.h
- PVLOGGER_LEVEL_UNINTIALIZED : pvlogger.h
- PVLOGGER_LOG_USE_ONLY : pvlogger.h
- PVLOGGER_LOGBIN : pvlogger.h
- PVLOGGER_LOGBIN_PVLOGMSG_INST_HLDBG : pvlogger.h
- PVLOGGER_LOGBIN_PVLOGMSG_INST_LLDBG : pvlogger.h
- PVLOGGER_LOGBIN_PVLOGMSG_INST_MLDBG : pvlogger.h
- PVLOGGER_LOGBIN_PVLOGMSG_INST_PROF : pvlogger.h
- PVLOGGER_LOGBIN_PVLOGMSG_INST_REL : pvlogger.h
- PVLOGGER_LOGBIN_V : pvlogger.h
- PVLOGGER_LOGBIN_V_PVLOGMSG_INST_HLDBG : pvlogger.h
- PVLOGGER_LOGBIN_V_PVLOGMSG_INST_LLDBG : pvlogger.h
- PVLOGGER_LOGBIN_V_PVLOGMSG_INST_PROF : pvlogger.h
- PVLOGGER_LOGBIN_V_PVLOGMSG_INST_REL : pvlogger.h
- PVLOGGER_LOGBIN_V_PVLOGMSG_V_INST_MLDBG : pvlogger.h
- PVLOGGER_LOGMSG : pvlogger.h
- PVLOGGER_LOGMSG_PVLOGMSG_INST_HLDBG : pvlogger.h
- PVLOGGER_LOGMSG_PVLOGMSG_INST_LLDBG : pvlogger.h
- PVLOGGER_LOGMSG_PVLOGMSG_INST_MLDBG : pvlogger.h
- PVLOGGER_LOGMSG_PVLOGMSG_INST_PROF : pvlogger.h
- PVLOGGER_LOGMSG_PVLOGMSG_INST_REL : pvlogger.h
- PVLOGGER_LOGMSG_V : pvlogger.h
- PVLOGGER_LOGMSG_V_PVLOGMSG_INST_HLDBG : pvlogger.h
- PVLOGGER_LOGMSG_V_PVLOGMSG_INST_LLDBG : pvlogger.h
- PVLOGGER_LOGMSG_V_PVLOGMSG_INST_MLDBG : pvlogger.h
- PVLOGGER_LOGMSG_V_PVLOGMSG_INST_PROF : pvlogger.h
- PVLOGGER_LOGMSG_V_PVLOGMSG_INST_REL : pvlogger.h
- pvLogger_LogMsgString() : pvlogger_c.h
- PVLOGMSG_ALERT : pvlogger.h
- PVLOGMSG_C_ALERT : pvlogger_c.h
- PVLOGMSG_C_CRIT : pvlogger_c.h
- PVLOGMSG_C_EMERG : pvlogger_c.h
- PVLOGMSG_C_ERR : pvlogger_c.h
- PVLOGMSG_C_INFO : pvlogger_c.h
- PVLOGMSG_C_INST_HLDBG : pvlogger_c.h
- PVLOGMSG_C_INST_LLDBG : pvlogger_c.h
- PVLOGMSG_C_INST_MLDBG : pvlogger_c.h
- PVLOGMSG_C_INST_PROF : pvlogger_c.h
- PVLOGMSG_C_INST_REL : pvlogger_c.h
- PVLOGMSG_C_NOTICE : pvlogger_c.h
- PVLOGMSG_C_STACK_DEBUG : pvlogger_c.h
- PVLOGMSG_C_STACK_TRACE : pvlogger_c.h
- PVLOGMSG_C_WARNING : pvlogger_c.h
- PVLOGMSG_CRIT : pvlogger.h
- PVLOGMSG_DEBUG : pvlogger.h
- PVLOGMSG_EMERG : pvlogger.h
- PVLOGMSG_ERR : pvlogger.h
- PVLOGMSG_FATAL_ERROR : pvlogger.h
- PVLOGMSG_INFO : pvlogger.h
- PVLOGMSG_INST_HLDBG : pvlogger.h
- PVLOGMSG_INST_LLDBG : pvlogger.h
- PVLOGMSG_INST_MLDBG : pvlogger.h
- PVLOGMSG_INST_PROF : pvlogger.h
- PVLOGMSG_INST_REL : pvlogger.h
- PVLOGMSG_NONFATAL_ERROR : pvlogger.h
- PVLOGMSG_NOTICE : pvlogger.h
- PVLOGMSG_STACK_TRACE : pvlogger.h
- PVLOGMSG_STATISTIC : pvlogger.h
- PVLOGMSG_VERBOSE : pvlogger.h
- PVLOGMSG_WARNING : pvlogger.h
- PVMEM_INST_LEVEL : oscl_mem_inst.h, osclconfig_memory.h
- PVNETWORKADDRESS_LEN : oscl_socket_types.h
- PVOsclBase_Cleanup() : oscl_base.h
- PVOsclBase_Init() : oscl_base.h
- PVSCHEDNAMELEN : oscl_scheduler.h
- PVSOCK_ERR_BAD_PARAM : oscl_socket_imp_pv.h
- PVSOCK_ERR_NOT_IMPLEMENTED : oscl_socket_imp_pv.h
- PVSOCK_ERR_NOT_SUPPORTED : oscl_socket_imp_pv.h
- PVSOCK_ERR_SERV_NOT_CONNECTED : oscl_socket_imp_pv.h
- PVSOCK_ERR_SOCK_NO_SERV : oscl_socket_imp_pv.h
- PVSOCK_ERR_SOCK_NOT_CONNECTED : oscl_socket_imp_pv.h
- PVSOCK_ERR_SOCK_NOT_OPEN : oscl_socket_imp_pv.h

### - q -

- QUE_ITER_BEGIN : oscl_double_list.h
- QUE_ITER_END : oscl_double_list.h

### - r -

- RFC822ToPV8601() : oscl_time.h

### - s -

- SECONDS : oscl_time.h
- skip_to_line_term() : oscl_string_utils.h
- skip_to_whitespace() : oscl_string_utils.h
- skip_whitespace() : oscl_string_utils.h
- skip_whitespace_and_line_term() : oscl_string_utils.h
- SLEEP_ONE_SEC : osclconfig_util.h
- Start_on_creation : oscl_thread.h
- StrCSumPtrLen : oscl_str_ptr_len.h
- StrPtrLen : oscl_str_ptr_len.h
- Suspend_on_creation : oscl_thread.h

### - t -

- TagTree_Allocator : oscl_mem_audit.h
- TDNSRequestParamAllocator : oscl_dns_param.h
- ThreadPriorityAboveNormal : oscl_thread.h
- ThreadPriorityBelowNormal : oscl_thread.h
- ThreadPriorityHighest : oscl_thread.h
- ThreadPriorityLow : oscl_thread.h
- ThreadPriorityLowest : oscl_thread.h
- ThreadPriorityNormal : oscl_thread.h
- ThreadPriorityTimeCritical : oscl_thread.h
- TimeUnits : oscl_time.h
- TIpMReq : osclconfig_io.h
- TOSCL_StringOp : oscl_string.h
- TOSCL_wStringOp : oscl_string.h
- TOsclBasicLockObject : osclconfig_unix_android.h, osclconfig_unix_common.h
- TOsclConditionObject : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclFileHandle : oscl_file_handle.h
- TOsclFileOffset : osclconfig_io.h
- TOsclFileOffsetInt32 : oscl_file_io.h
- TOsclFileOp : oscl_file_stats.h
- TOsclHostent : osclconfig_io.h
- TOsclMutexObject : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclReady : oscl_scheduler_readyq.h
- TOsclSemaphoreObject : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclSockAddr : osclconfig_io.h
- TOsclSockAddrLen : osclconfig_io.h
- TOsclSocket : osclconfig_io.h
- TOsclSocketServStatEvent : oscl_socket_stats.h
- TOsclSocketStatEvent : oscl_socket_stats.h
- TOsclThreadFuncArg : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclThreadFuncPtr : oscl_thread.h
- TOsclThreadFuncRet : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclThreadId : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclThreadObject : osclconfig_proc_unix_android.h, osclconfig_proc_unix_common.h
- TOsclTlsKey : oscl_tls.h, osclconfig_unix_android.h, osclconfig_unix_common.h
- TPVDNSEvent : oscl_dns.h
- TPVDNSFxn : oscl_dns.h
- TPVSocketEvent : oscl_socket_types.h
- TPVSocketFxn : oscl_socket_types.h
- TPVSocketOptionLevel : oscl_socket_types.h
- TPVSocketOptionName : oscl_socket_types.h
- TPVSocketShutdown : oscl_socket_types.h
- TPVThreadContext : oscl_scheduler_threadcontext.h

### - u -

- uint : oscl_types.h
- uint64 : oscl_types.h
- UINT64 : osclconfig_unix_android.h, osclconfig_unix_common.h
- UINT64_HILO : osclconfig_unix_android.h, osclconfig_unix_common.h
- unix_ntp_offset : oscl_time.h
- USEC_PER_SEC : oscl_time.h

### - w -

- WStrPtrLen : oscl_str_ptr_len.h